*{
    box-sizing: border-box;
    text-decoration: none;
    padding: 0;
    margin: 0;  
}

body, html {
    display: grid;
    grid-template-columns: 50% 150%;
    width: 100%;
    height: 100%;
}


/*student borad*/

.body-content {
    background-color:lavender;
}

.nav-log{
    display: grid;
}
.home-button {
    padding: 20px;
    margin: 10px;
    text-transform: uppercase;
    font-size: 2em;
    color: darkblue;
}

/*navigation*/
.primary-navigation {
    list-style: none;
    display: flex;
    justify-content: space-around;
    margin: 20px;
    text-transform: uppercase;
    font-weight: 600;
    color: rgb(248, 150, 2);
    max-height: 50%;
}


.active {
    background-color: darkslateblue;
    padding: 5px;
}

.pattern:hover {
    background-color: rgb(0, 17, 255);
    padding: 5px;
}

.team-area {
    display: grid;
    grid-template-columns: 2fr 4fr;
    grid-template-rows: 250px 150px;
    grid-auto-rows: 50px, auto;
    grid-gap: 15px;
    justify-content: center;

    padding: 20px;
    margin: 15px;

}

.single-team {
    background-color: rgb(166, 175, 255);
    box-shadow: black;
}
   


/*image*/
img {
    height: 80%;
}

.one, .two {
    width: 100%;
    height: 100%;
}

.one> img {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    object-fit:cover;
}

.two> img {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    object-fit:cover;
}

.team-text {
    position: relative;
    z-index: 3;
    transform: translateY(-100px);
    padding-left: 5px;
}

.team-text > h3 {
    font-size:3em;
    color: rgb(255, 255, 255);
}

.team-text > p {
    font-size: 20px;
    font-style: oblique;
    color:rgba(133, 82, 5, 0.986);
    font-weight: 600;
}


/*Newsletter*/

.three {
    grid-row: 1/3;
    overflow: scroll;
    scroll-behavior: smooth;
    color: snow;
    display: grid;
    grid-gap:10px;
}

.three::-webkit-scrollbar{
    width: 3px;
}


.three > h3{
    text-transform: uppercase;
    text-shadow: blue;
    font-size: 25px;
    padding: 10px;
}

.three> p{
    font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: 20px;
    font-weight: 100;
    padding-left: 30px;
}


/*student profile*/

.tool-box {
    background-color: rgb(28, 28, 163);
    max-height: 100%;
    overflow: auto;
    display: grid;
    grid-gap: 5px;
    padding: 10px;
    color: white;
}

.profile-content> img {
    height: 60%;
    width: 30%;
    border-radius: 150%;
}

.profile-content {
    transform: translateY(-20%);
    display: grid;
    grid-gap: 10px;

}

.profile-info{
    transform: translateY(-10%);
}
.profile-info> h2{
    color: rgb(0, 102, 255);
    padding: 15px;
}

.info{
    display: grid;
    grid-template-columns: auto auto;
    grid-gap: 3px;
    justify-content: space-between;
    padding-left:10px;
}

.info>p{
    font-size: 20px;
    padding-bottom:5px;
}

.profile-btn {
    background-color: rgb(143, 143, 202);
    border: none;
    border-radius: 50px;
    margin: 15px;
    font-weight:600;
    font-size: 15px;
    font-family:Verdana, Geneva, Tahoma, sans-serif;
    color: snow;
}

.profile-btn:hover{
    background-color: rgb(117, 92, 207);
}


/*responsive styling for small screen*/

@media (max-width: 35em) {
    
    body, html {
        width: 100%;
        height: 100%;
        display: grid;
        grid-template-rows: auto
    }

    body::-webkit-scrollbar{
        width: 0px;
        height: 0px;
    }

    .tool-box {
        display: none;
    }

    /*body-content*/

    .nav-log{
        padding: 0;
        margin: 0;
    }

    .home-button{
        padding: 0;
        margin: 0;
        display: none;
    }
    .active{
        background-color: transparent;
        padding: 0;
        display: none;
    }

    .pattern{
        padding-bottom: 30%;
        padding-left: 70%;
    }

    .primary-navigation {
        --gap:1em;

        position: fixed;
        z-index: 1000;
        inset: 0 0 0 50%;

        flex-direction: column;
        padding: min(10vh, 2rem) 2em;
        background-color: rgba(0, 0, 139, 0.658);
        transform: translatex(-175%);


        margin: 0px;
        max-height: 100%;
        justify-content:start;
    
    }

    .body-content{
        background-color: transparent;
    }

    .team-area{
     transform: translateX(15%);
     display: grid;
     grid-template-columns: auto auto auto;
     grid-template-columns:4fr;
     grid-template-rows:100%;
     grid-auto-rows: 50px, auto;

     width: 350%;
     height: 100%;
     padding: 0px;
     margin: 0;
     
    }

    .single-team{
        background-color: rgba(0, 0, 0, 0.849); 
    }

    .one{
        display:none ;
    }
    .two{
        display: none;
    }
}